package ii

import (
	"git.simanc.com/software/golib/v4/features/mo"
)

type User interface {
	ID() mo.ObjectID
	Name() string
	Flag() bool
	IsSysadmin() bool
	Company() mo.ObjectID
	CompanyALL() mo.A
	Group(name string) (accessible bool)
	Role(groupName string) (roleName string, has bool)
	Perms(groupName string) (keys []string, has bool)
	Get(field string) any
}
